한국어
Appearance
댓글 첨부파일의 멀티파트 업로드를 완료합니다.
업로드를 시작한 사용자만 완료할 수 있습니다.
CLI 관리형 업로드
SDK의 업로드 헬퍼와 CLI의 youvico comment-attachment upload 명령은 모두 전체 멀티파트 흐름을 실행하므로, 아래 CLI 예시는 이 엔드포인트를 단독으로 호출하지 않습니다.
youvico comment-attachment upload
await client.commentAttachments.completeUpload("CA1234567890ABCD", { parts: [{ partNumber: 1, eTag: "etag-1" }], });
youvico comment-attachment upload \ --file FX1234567890ABCD \ --path ./review-note.pdf
curl -X POST 'https://api.youvico.com/api/comment-attachments/CA1234567890ABCD/upload.complete' \ -H 'Authorization: Bearer YOUR_API_KEY' \ -H 'Content-Type: application/json' \ -d '{ "parts": [{ "partNumber": 1, "eTag": "etag-1" }] }'
id
string
parts
array
At least 1 item
parts[].partNumber
number
1 or greater
Example: 1
1
parts[].eTag
1-255 characters
Example: etag-1
etag-1
204 No Content를 반환합니다.
204 No Content
댓글 첨부파일 업로드 완료 Tier 4
댓글 첨부파일의 멀티파트 업로드를 완료합니다.
업로드를 시작한 사용자만 완료할 수 있습니다.
CLI 관리형 업로드
SDK의 업로드 헬퍼와 CLI의
youvico comment-attachment upload명령은 모두 전체 멀티파트 흐름을 실행하므로, 아래 CLI 예시는 이 엔드포인트를 단독으로 호출하지 않습니다.예시
요청
경로
idstringrequired본문
partsarrayrequiredAt least 1 item
parts[].partNumbernumberrequired1 or greater
Example:
1parts[].eTagstringrequired1-255 characters
Example:
etag-1응답
204 No Content를 반환합니다.